﻿/*#region #addappointment*/
.popup {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1050;
    /*display: none;*/
    width: 100%;
    height: 100%;
    overflow: hidden;
    outline: 0;
    visibility: hidden;
}
.popup .show {
    visibility: visible;
    -webkit-animation: fadeIn 1s;
    animation: fadeIn 1s;
}
#add-appointment {
    -webkit-box-shadow: 0 16px 28px 0 rgba(0, 0, 0, .22), 0 25px 55px 0 rgba(0, 0, 0, .21);
    box-shadow: 0 16px 28px 0 rgba(0, 0, 0, .22), 0 25px 55px 0 rgba(0, 0, 0, .21);
    position: relative;
    background: white;
    padding: 20px;
    margin: 1.75rem auto;
    width: 75%;

    h2 {
        width: 100%;
        text-align: center;
        color: #0abb87;
    }

    .form-body {
        width: 100%;

        .form-content {
            .form-group {
                .clear-datebutton {
                    display: none;
                }

                label {
                    width: 20%;
                }

                .form-control,
                .css-2b097c-container {
                    width: 80%;
                }

                textarea {
                    width: 100% !important;
                }
            }

            .notification-form {
                margin: -20px 0 0 20%;
                color: var(--red);
                opacity: 0;
            }
            .show-noti {
                opacity: 1;
                
            }

            .service-detail {
                button {
                    width: 13%;
                    margin: 0 auto;
                    margin-right: 0;
                }

                .service-detail-select {
                    width: 65%;
                }
            }

            .time-setting {
                p {
                    padding: 8px 10px;
                    margin-bottom: 0;
                }

                .flatpickr-mobile {
                    width: 30%;
                }
            }

            .seclected-group {
                margin-left: 20%;

                .item-selected {
                    background-color: #7579f6;
                    border-radius: 35px;
                    padding: 3px 10px;
                    margin-right: 10px;
                    margin-bottom: 10px;

                    p {
                        margin: 0;
                        color: var(--white);
                        padding: 0 5px;
                    }

                    a {
                        padding-left: 5px;

                        i {
                            background: var(--white);
                            color: var(--dark);
                            border-radius: 50%;
                        }
                    }
                }
            }
        }
    }

    .form-footer {
        button {
            margin: 0 25px;
        }
    }
}
/*#endregion*/
@media screen and (min-width: 1920px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (min-width: 1200px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 1280px) {
}

@media screen and (max-width: 1366px) {
    /*#region #sad*/
}
@media screen and (max-width: 1024px) {
    /*#region #sad*/
    #add-appointment {
        .form-body {
            .form-content {
                .time-setting {
                    .flatpickr-mobile {
                        width: 29%;
                    }
                }
            }
        }
    }

    /*#endregion*/
}

@media screen and (max-width: 980px) {
}

@media screen and (max-width: 768px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 650px) {
}

@media screen and (max-width: 450px) {
    /*#region #sad*/
    /*#endregion*/
}

@media screen and (max-width: 375px) {
}

@media screen and (max-width: 360px) {
}

@media screen and (max-width: 320px) {
    /*#region #sad*/
    /*#endregion*/
}

/*------------------------------------*\
  STYLE FIX ALL BROWSER
\*------------------------------------*/

/*#region firefox*/
@-moz-document url-prefix() {
    /*Code is here*/
}
/*#endregion*/

/*#region ie*/
@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {
    /*Code is here*/
}
/*#endregion*/
